cannot install lenny amd64 on 2950

ronreg at mtholyoke.edu ronreg at mtholyoke.edu
Wed Feb 18 07:43:55 CST 2009


Hi all,

I am trying to install the amd64 version of Debian Lenny 5.0 on a
Poweredge 2950.  It appears that neither the grub nor lilo boot loaders
will install properly.  I am using a PERC 5/i controller, w/ a RAID 1 OS
partition over two 146GB SAS disks.  I also have a RAID 10 partition
over 4 1TB SATA disks, if that makes any difference.

My controller is running DELL's latest firmware (as of this date).  I've
tried using Knoppix to install grub on the mbr manually, but grub can't
find the disks.  I.e., if I run grub, and do 'root (hd0), find
/grub/stage1', it cannot (I have a /boot partition on (hd0)).
Otherwise, the install does complete.  The partitions I specified are
properly created, and contain the data that they should.  It's just the
boot loaders that are giving me problems.

Because grub is never able to identify the disk, I'm suspecting the
problem lies with the Perc 5/i bios, but I'd be happy to be disabused of
that notion.

I'm going to try the i386 version of Lenny next, but that is not where
I'd like to end up.

-- 
Ron Peterson
Network & Systems Manager
Mount Holyoke College
http://www.mtholyoke.edu/~rpeterso
-
I wish my computer would do what I want it to do - not what I tell it to do.



More information about the Linux-PowerEdge mailing list